[Cron] Create cron job
curl --request POST \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/hosting/{id}/cron-jobs/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"command": "<string>",
"minute": "*",
"hour": "*",
"day": "*",
"month": "*",
"weekday": "*"
}
'import requests
url = "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/hosting/{id}/cron-jobs/create"
payload = {
"command": "<string>",
"minute": "*",
"hour": "*",
"day": "*",
"month": "*",
"weekday": "*"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
command: '<string>',
minute: '*',
hour: '*',
day: '*',
month: '*',
weekday: '*'
})
};
fetch('https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/hosting/{id}/cron-jobs/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"linekey": "<string>",
"command": "<string>",
"minute": "<string>",
"hour": "<string>",
"day": "<string>",
"month": "<string>",
"weekday": "<string>"
}Web Hosting
[Cron] Create cron job
Create a new cron job for this hosting.
POST
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
hosting
/
{id}
/
cron-jobs
/
create
[Cron] Create cron job
Authorizations
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Path Parameters
Web hosting unique identifier
Organization unique identifier
Project unique identifier
Body
application/json
⌘I

